Name:           python-throttler
Version:        1.2.2
Release:    1%{?dist}
Summary:        Easy throttling with asyncio support

License:        MIT
URL:            https://github.com/uburuntu/throttler
Source0:         %{url}/archive/v%{version}/throttler-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-xdist)

%global common_description %{expand:
Zero-dependency Python package for easy throttling with asyncio support.}

%description %{common_description}


%package -n python3-throttler
Summary:        %{summary}

%description -n python3-throttler %{common_description}


%prep
%autosetup -n throttler-%{version}

sed -r -i 's/^(codecov|flake8|pytest-cov)/# &/' requirements-dev.txt


%generate_buildrequires
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files throttler


%check
%pytest -n auto -v


%files -n python3-throttler -f %{pyproject_files}
%doc examples/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-1
- initial build
